<template>
  <v-app>  
        <h2>Data Table</h2>
        <v-data-table v-model="selectedTasks" :headers="headers" :items="tasks" item-key="text" show-select>
          <template v-slot:body="{ items }">
            <tbody>
              <tr v-for="item in items" :key="item.text">
                <td>
                  <v-checkbox v-model="selectedTasks" :value="item" style="margin:0px;padding:0px" hide-details />
                </td>                
                <td v-bind:style="rowColor(item)">{{item.text}}</td>
                <td>
                  <v-btn text icon x-small>
                    Edit
                  </v-btn>
                </td>
              </tr>
            </tbody>
          </template>
        </v-data-table>
        <v-btn v-on:click="addTask()">Add Task</v-btn>
  </v-app>
</template>

<script>
export default {
  methods: {
    rowColor(item) {
      console.log("---item=", item);
      let style = "background-color:#999900";
      if (item.calories > 200) {       
        style =  "background-color:#AA4400";
      }
      return style;
    },
    addTask() {
      this.tasks = this.tasks.map(t => ({ ...t }))
      this.tasks.push({ id: this.tasks.length + 1, text: 'New Task' });

      this.selectedTasks = this.selectedTasks.map(t => {
        return this.tasks.find(e => e.id == t.id) || t;
      })
    }
  },
  data() {
    return {
      headers: [
        {
          text: 'Task',
          value: 'text'
        },
        {
          text: 'Actions'
        }
      ],
      tasks: [
        {
          id: 1,
          text: 'Collect packets'
        },
        {
          id: 2,
          text: 'Buy bread'
        }
      ],
      selectedTasks: []
    };
  }
};
</script>

<style>
.green-bg {
  display: table-row;
}

.green-bg:hover {
  background: green !important;
}
</style>
